import CodeEditor from './src/code-editor.vue';
export declare const LlCodeEditor: import("ll-plus/es/utils").SFCWithInstall<import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly value: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, () => false, boolean>;
    readonly width: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "100%", boolean>;
    readonly height: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "100%", boolean>;
    readonly language: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./src/config").Language>, unknown, unknown, "javascript", boolean>;
    readonly theme: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./src/config").Theme>, unknown, unknown, "vs", boolean>;
    readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./src/config").Options>, unknown, unknown, () => import("./src/config").Options, boolean>;
}>, {
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly value: {
            readonly type: import("vue").PropType<string>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, () => false, boolean>;
        readonly width: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "100%", boolean>;
        readonly height: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "100%", boolean>;
        readonly language: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./src/config").Language>, unknown, unknown, "javascript", boolean>;
        readonly theme: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./src/config").Theme>, unknown, unknown, "vs", boolean>;
        readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./src/config").Options>, unknown, unknown, () => import("./src/config").Options, boolean>;
    }>> & Readonly<{
        onChange?: (value: string) => any;
        "onUpdate:value"?: (value: string) => any;
        "onEditor-mounted"?: (editor: any) => any;
    }> & {}>;
    emits: ((event: "change", value: string) => void) & ((event: "update:value", value: string) => void) & ((event: "editor-mounted", editor: any) => void);
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    monaco: any;
    editor: any;
    editorRef: import("vue").Ref<any, any>;
    initMonacoEditor: () => Promise<void>;
    handleChangeTheme: (theme: string) => Promise<void>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:value': (value: string) => boolean;
    change: (value: string) => boolean;
    'editor-mounted': (editor: any) => boolean;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly value: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly disabled: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, () => false, boolean>;
    readonly width: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "100%", boolean>;
    readonly height: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "100%", boolean>;
    readonly language: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./src/config").Language>, unknown, unknown, "javascript", boolean>;
    readonly theme: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./src/config").Theme>, unknown, unknown, "vs", boolean>;
    readonly options: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("./src/config").Options>, unknown, unknown, () => import("./src/config").Options, boolean>;
}>> & Readonly<{
    onChange?: (value: string) => any;
    "onUpdate:value"?: (value: string) => any;
    "onEditor-mounted"?: (editor: any) => any;
}>, {
    readonly disabled: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly options: import("./src/config").Options;
    readonly width: import("ll-plus/es/utils").EpPropMergeType<readonly [StringConstructor, NumberConstructor], unknown, unknown>;
    readonly height: import("ll-plus/es/utils").EpPropMergeType<readonly [StringConstructor, NumberConstructor], unknown, unknown>;
    readonly theme: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("./src/config").Theme>, unknown, unknown>;
    readonly language: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("./src/config").Language>, unknown, unknown>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>>;
export * from './src/config';
declare module 'vue' {
    interface GlobalComponents {
        LlCodeEditor: typeof CodeEditor;
    }
}
